Index: sansmodels/src/sans/models/HollowCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/HollowCylinderModel.py	(revision 9bd69098b443a3cbda08a1efa070cd1e2ead30ce)
+++ sansmodels/src/sans/models/HollowCylinderModel.py	(revision e2afadff3f4263f27adf3503adb9ffba97b1e122)
@@ -34,5 +34,5 @@
          scale           = 1.0 
          core_radius     = 20.0 [A]
-         shell_radius    = 30.0 [A]
+         radius          = 30.0 [A]
          length          = 400.0 [A]
          contrast        = 5.3e-006 [1/A²]
@@ -59,5 +59,5 @@
         self.details['scale'] = ['', None, None]
         self.details['core_radius'] = ['[A]', None, None]
-        self.details['shell_radius'] = ['[A]', None, None]
+        self.details['radius'] = ['[A]', None, None]
         self.details['length'] = ['[A]', None, None]
         self.details['contrast'] = ['[1/A²]', None, None]
@@ -67,5 +67,5 @@
 
 		## fittable parameters
-        self.fixed=['axis_phi.width', 'axis_theta.width', 'length.width', 'core_radius.width', 'shell_radius']
+        self.fixed=['axis_phi.width', 'axis_theta.width', 'length.width', 'core_radius.width', 'radius']
         
         ## parameters with orientation
Index: sansmodels/src/sans/models/VesicleModel.py
===================================================================
--- sansmodels/src/sans/models/VesicleModel.py	(revision 870f131f9d526f28fcaa1de9825b193ca97877e6)
+++ sansmodels/src/sans/models/VesicleModel.py	(revision e2afadff3f4263f27adf3503adb9ffba97b1e122)
@@ -33,5 +33,5 @@
     	List of default parameters:
          scale           = 1.0 
-         core_radius     = 100.0 [A]
+         radius          = 100.0 [A]
          thickness       = 30.0 [A]
          core_sld        = 6.36e-006 [1/A²]
@@ -51,5 +51,5 @@
         self.name = "VesicleModel"
         ## Model description
-        self.description ="""Model parameters:  core_radius : Core radius of the vesicle
+        self.description ="""Model parameters:  radius : core radius of the vesicle
 		thickness: shell thickness
 		core_sld: core scattering length density
@@ -61,5 +61,5 @@
         self.details = {}
         self.details['scale'] = ['', None, None]
-        self.details['core_radius'] = ['[A]', None, None]
+        self.details['radius'] = ['[A]', None, None]
         self.details['thickness'] = ['[A]', None, None]
         self.details['core_sld'] = ['[1/A²]', None, None]
@@ -68,5 +68,5 @@
 
 		## fittable parameters
-        self.fixed=['core_radius.width', 'thickness.width']
+        self.fixed=['radius.width', 'thickness.width']
         
         ## parameters with orientation
Index: sansmodels/src/sans/models/c_extensions/hollow_cylinder.c
===================================================================
--- sansmodels/src/sans/models/c_extensions/hollow_cylinder.c	(revision 27fea3fd73c362e927fb15e5806e0a587260c5f3)
+++ sansmodels/src/sans/models/c_extensions/hollow_cylinder.c	(revision e2afadff3f4263f27adf3503adb9ffba97b1e122)
@@ -18,15 +18,15 @@
 double hollow_cylinder_analytical_1D(HollowCylinderParameters *pars, double q) {
 	double dp[6];
-	
+
 	dp[0] = pars->scale;
 	dp[1] = pars->core_radius;
-	dp[2] = pars->shell_radius;
+	dp[2] = pars->radius;
 	dp[3] = pars->length;
 	dp[4] = pars->contrast;
 	dp[5] = pars->background;
-	
+
 	return HollowCylinder(dp, q);
 }
-    
+
 /**
  * Function to evaluate 2D scattering function
@@ -39,5 +39,5 @@
 	q = sqrt(qx*qx+qy*qy);
     return hollow_cylinder_analytical_2D_scaled(pars, q, qx/q, qy/q);
-} 
+}
 
 /**
@@ -50,5 +50,5 @@
 double hollow_cylinder_analytical_2D(HollowCylinderParameters *pars, double q, double phi) {
     return hollow_cylinder_analytical_2D_scaled(pars, q, cos(phi), sin(phi));
-} 
+}
 
 /**
@@ -65,17 +65,17 @@
 	double  alpha,vol, cos_val;
 	double answer;
-        
+
     // Cylinder orientation
     cyl_x = sin(pars->axis_theta) * cos(pars->axis_phi);
     cyl_y = sin(pars->axis_theta) * sin(pars->axis_phi);
     cyl_z = cos(pars->axis_theta);
-     
+
     // q vector
     q_z = 0;
-        
+
     // Compute the angle btw vector q and the
     // axis of the cylinder
     cos_val = cyl_x*q_x + cyl_y*q_y + cyl_z*q_z;
-    
+
     // The following test should always pass
     if (fabs(cos_val)>1.0) {
@@ -83,24 +83,24 @@
      	return 0;
     }
-    
+
 	alpha = acos( cos_val );
-	
+
 	// Call the IGOR library function to get the kernel
-	answer = HolCylKernel(q, pars->core_radius, pars->shell_radius, pars->length, cos_val);
-	
+	answer = HolCylKernel(q, pars->core_radius, pars->radius, pars->length, cos_val);
+
 	//normalize by cylinder volume
-	vol=acos(-1.0)*((pars->core_radius *pars->core_radius)-(pars->shell_radius*pars->shell_radius))
+	vol=acos(-1.0)*((pars->core_radius *pars->core_radius)-(pars->radius*pars->radius))
 			*(pars->length);
 	answer /= vol;
-	
+
 	//convert to [cm-1]
 	answer *= 1.0e8;
-	
+
 	//Scale
 	answer *= pars->scale;
-	
+
 	// add in the background
 	answer += pars->background;
-	
+
 	return answer;
 }
Index: sansmodels/src/sans/models/c_extensions/hollow_cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/hollow_cylinder.h	(revision 27fea3fd73c362e927fb15e5806e0a587260c5f3)
+++ sansmodels/src/sans/models/c_extensions/hollow_cylinder.h	(revision e2afadff3f4263f27adf3503adb9ffba97b1e122)
@@ -6,7 +6,7 @@
  */
  //[PYTHONCLASS] = HollowCylinderModel
- //[DISP_PARAMS] = core_radius, shell_radius, length, axis_theta, axis_phi
+ //[DISP_PARAMS] = core_radius, radius, length, axis_theta, axis_phi
  //[DESCRIPTION] = <text></text>
- //[FIXED]= <text> axis_phi.width; axis_theta.width; length.width;core_radius.width; shell_radius</text>
+ //[FIXED]= <text> axis_phi.width; axis_theta.width; length.width;core_radius.width; radius</text>
  //[ORIENTATION_PARAMS]= axis_phi; axis_theta;axis_phi.width; axis_theta.width
 
@@ -22,6 +22,6 @@
 
     /// Shell radius [A]
-    //  [DEFAULT]=shell_radius=30.0 [A]
-    double shell_radius;
+    //  [DEFAULT]=radius=30.0 [A]
+    double radius;
 
     /// Hollow cylinder length [A]
Index: sansmodels/src/sans/models/c_extensions/vesicle.c
===================================================================
--- sansmodels/src/sans/models/c_extensions/vesicle.c	(revision 3d25331f0e8a822fc6c59f15883b1cd21463b567)
+++ sansmodels/src/sans/models/c_extensions/vesicle.c	(revision e2afadff3f4263f27adf3503adb9ffba97b1e122)
@@ -17,7 +17,7 @@
 double vesicle_analytical_1D(VesicleParameters *pars, double q) {
 	double dp[6];
-	
+
 	dp[0] = pars->scale;
-	dp[1] = pars->core_radius;
+	dp[1] = pars->radius;
 	dp[2] = pars->thickness;
 	dp[3] = pars->core_sld;
@@ -25,8 +25,8 @@
 	dp[5] = pars->background;
 
-	
+
 	return VesicleForm(dp, q);
 }
-    
+
 /**
  * Function to evaluate 2D scattering function
@@ -40,4 +40,4 @@
 
 double vesicle_analytical_2DXY(VesicleParameters *pars, double qx, double qy){
-	return vesicle_analytical_1D(pars,sqrt(qx*qx+qy*qy));	
+	return vesicle_analytical_1D(pars,sqrt(qx*qx+qy*qy));
 }
Index: sansmodels/src/sans/models/c_extensions/vesicle.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/vesicle.h	(revision 42f193aa18a9b086b81b4861e33abca433f0ba94)
+++ sansmodels/src/sans/models/c_extensions/vesicle.h	(revision e2afadff3f4263f27adf3503adb9ffba97b1e122)
@@ -5,6 +5,6 @@
  * Structure definition for vesicle parameters
 [PYTHONCLASS] = VesicleModel
-[DISP_PARAMS] = core_radius,thickness
-[DESCRIPTION] =<text>Model parameters:  core_radius : Core radius of the vesicle
+[DISP_PARAMS] = radius,thickness
+[DESCRIPTION] =<text>Model parameters:  radius : core radius of the vesicle
 		thickness: shell thickness
 		core_sld: core scattering length density
@@ -13,5 +13,5 @@
 		scale : scale factor
 </text>
-[FIXED]=  core_radius.width; thickness.width
+[FIXED]=  radius.width; thickness.width
 [ORIENTATION_PARAMS]= <text> </text>
  */
@@ -22,6 +22,6 @@
 
     ///	Core radius of the vesicle [A]
-    //  [DEFAULT]=core_radius= 100.0 [A]
-    double core_radius;
+    //  [DEFAULT]=radius= 100.0 [A]
+    double radius;
 
 	///	shell thickness [Å]
Index: sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp	(revision 870f131f9d526f28fcaa1de9825b193ca97877e6)
+++ sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp	(revision e2afadff3f4263f27adf3503adb9ffba97b1e122)
@@ -91,6 +91,6 @@
         PyDict_SetItemString(self->params,"length",Py_BuildValue("d",400.000000));
         PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",0.000000));
+        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",30.000000));
         PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.010000));
-        PyDict_SetItemString(self->params,"shell_radius",Py_BuildValue("d",30.000000));
         PyDict_SetItemString(self->params,"contrast",Py_BuildValue("d",0.000005));
         // Initialize dispersion / averaging parameter dict
@@ -101,6 +101,6 @@
         PyDict_SetItemString(self->dispersion, "core_radius", disp_dict);
         disp_dict = PyDict_New();
-        self->model->shell_radius.dispersion->accept_as_source(visitor, self->model->shell_radius.dispersion, disp_dict);
-        PyDict_SetItemString(self->dispersion, "shell_radius", disp_dict);
+        self->model->radius.dispersion->accept_as_source(visitor, self->model->radius.dispersion, disp_dict);
+        PyDict_SetItemString(self->dispersion, "radius", disp_dict);
         disp_dict = PyDict_New();
         self->model->length.dispersion->accept_as_source(visitor, self->model->length.dispersion, disp_dict);
@@ -248,6 +248,6 @@
     self->model->length = PyFloat_AsDouble( PyDict_GetItemString(self->params, "length") );
     self->model->axis_phi = PyFloat_AsDouble( PyDict_GetItemString(self->params, "axis_phi") );
+    self->model->radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "radius") );
     self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
-    self->model->shell_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "shell_radius") );
     self->model->contrast = PyFloat_AsDouble( PyDict_GetItemString(self->params, "contrast") );
     // Read in dispersion parameters
@@ -256,6 +256,6 @@
     disp_dict = PyDict_GetItemString(self->dispersion, "core_radius");
     self->model->core_radius.dispersion->accept_as_destination(visitor, self->model->core_radius.dispersion, disp_dict);
-    disp_dict = PyDict_GetItemString(self->dispersion, "shell_radius");
-    self->model->shell_radius.dispersion->accept_as_destination(visitor, self->model->shell_radius.dispersion, disp_dict);
+    disp_dict = PyDict_GetItemString(self->dispersion, "radius");
+    self->model->radius.dispersion->accept_as_destination(visitor, self->model->radius.dispersion, disp_dict);
     disp_dict = PyDict_GetItemString(self->dispersion, "length");
     self->model->length.dispersion->accept_as_destination(visitor, self->model->length.dispersion, disp_dict);
@@ -331,6 +331,6 @@
     self->model->length = PyFloat_AsDouble( PyDict_GetItemString(self->params, "length") );
     self->model->axis_phi = PyFloat_AsDouble( PyDict_GetItemString(self->params, "axis_phi") );
+    self->model->radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "radius") );
     self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
-    self->model->shell_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "shell_radius") );
     self->model->contrast = PyFloat_AsDouble( PyDict_GetItemString(self->params, "contrast") );
     // Read in dispersion parameters
@@ -339,6 +339,6 @@
     disp_dict = PyDict_GetItemString(self->dispersion, "core_radius");
     self->model->core_radius.dispersion->accept_as_destination(visitor, self->model->core_radius.dispersion, disp_dict);
-    disp_dict = PyDict_GetItemString(self->dispersion, "shell_radius");
-    self->model->shell_radius.dispersion->accept_as_destination(visitor, self->model->shell_radius.dispersion, disp_dict);
+    disp_dict = PyDict_GetItemString(self->dispersion, "radius");
+    self->model->radius.dispersion->accept_as_destination(visitor, self->model->radius.dispersion, disp_dict);
     disp_dict = PyDict_GetItemString(self->dispersion, "length");
     self->model->length.dispersion->accept_as_destination(visitor, self->model->length.dispersion, disp_dict);
@@ -403,6 +403,6 @@
     self->model->length = PyFloat_AsDouble( PyDict_GetItemString(self->params, "length") );
     self->model->axis_phi = PyFloat_AsDouble( PyDict_GetItemString(self->params, "axis_phi") );
+    self->model->radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "radius") );
     self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
-    self->model->shell_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "shell_radius") );
     self->model->contrast = PyFloat_AsDouble( PyDict_GetItemString(self->params, "contrast") );
     // Read in dispersion parameters
@@ -411,6 +411,6 @@
     disp_dict = PyDict_GetItemString(self->dispersion, "core_radius");
     self->model->core_radius.dispersion->accept_as_destination(visitor, self->model->core_radius.dispersion, disp_dict);
-    disp_dict = PyDict_GetItemString(self->dispersion, "shell_radius");
-    self->model->shell_radius.dispersion->accept_as_destination(visitor, self->model->shell_radius.dispersion, disp_dict);
+    disp_dict = PyDict_GetItemString(self->dispersion, "radius");
+    self->model->radius.dispersion->accept_as_destination(visitor, self->model->radius.dispersion, disp_dict);
     disp_dict = PyDict_GetItemString(self->dispersion, "length");
     self->model->length.dispersion->accept_as_destination(visitor, self->model->length.dispersion, disp_dict);
@@ -476,6 +476,6 @@
     if (!strcmp(par_name, "core_radius")) {
         self->model->core_radius.dispersion = dispersion;
-    } else    if (!strcmp(par_name, "shell_radius")) {
-        self->model->shell_radius.dispersion = dispersion;
+    } else    if (!strcmp(par_name, "radius")) {
+        self->model->radius.dispersion = dispersion;
     } else    if (!strcmp(par_name, "length")) {
         self->model->length.dispersion = dispersion;
Index: sansmodels/src/sans/models/c_models/CVesicleModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CVesicleModel.cpp	(revision 870f131f9d526f28fcaa1de9825b193ca97877e6)
+++ sansmodels/src/sans/models/c_models/CVesicleModel.cpp	(revision e2afadff3f4263f27adf3503adb9ffba97b1e122)
@@ -87,7 +87,7 @@
         // Initialize parameter dictionary
         PyDict_SetItemString(self->params,"core_sld",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"core_radius",Py_BuildValue("d",100.000000));
         PyDict_SetItemString(self->params,"thickness",Py_BuildValue("d",30.000000));
         PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
+        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",100.000000));
         PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
         PyDict_SetItemString(self->params,"shell_sld",Py_BuildValue("d",0.000000));
@@ -96,6 +96,6 @@
         PyObject * disp_dict;
         disp_dict = PyDict_New();
-        self->model->core_radius.dispersion->accept_as_source(visitor, self->model->core_radius.dispersion, disp_dict);
-        PyDict_SetItemString(self->dispersion, "core_radius", disp_dict);
+        self->model->radius.dispersion->accept_as_source(visitor, self->model->radius.dispersion, disp_dict);
+        PyDict_SetItemString(self->dispersion, "radius", disp_dict);
         disp_dict = PyDict_New();
         self->model->thickness.dispersion->accept_as_source(visitor, self->model->thickness.dispersion, disp_dict);
@@ -233,7 +233,7 @@
 	    // Reader parameter dictionary
     self->model->core_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "core_sld") );
-    self->model->core_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "core_radius") );
     self->model->thickness = PyFloat_AsDouble( PyDict_GetItemString(self->params, "thickness") );
     self->model->scale = PyFloat_AsDouble( PyDict_GetItemString(self->params, "scale") );
+    self->model->radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "radius") );
     self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
     self->model->shell_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "shell_sld") );
@@ -241,6 +241,6 @@
     PyObject* disp_dict;
     DispersionVisitor* visitor = new DispersionVisitor();
-    disp_dict = PyDict_GetItemString(self->dispersion, "core_radius");
-    self->model->core_radius.dispersion->accept_as_destination(visitor, self->model->core_radius.dispersion, disp_dict);
+    disp_dict = PyDict_GetItemString(self->dispersion, "radius");
+    self->model->radius.dispersion->accept_as_destination(visitor, self->model->radius.dispersion, disp_dict);
     disp_dict = PyDict_GetItemString(self->dispersion, "thickness");
     self->model->thickness.dispersion->accept_as_destination(visitor, self->model->thickness.dispersion, disp_dict);
@@ -308,7 +308,7 @@
 	    // Reader parameter dictionary
     self->model->core_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "core_sld") );
-    self->model->core_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "core_radius") );
     self->model->thickness = PyFloat_AsDouble( PyDict_GetItemString(self->params, "thickness") );
     self->model->scale = PyFloat_AsDouble( PyDict_GetItemString(self->params, "scale") );
+    self->model->radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "radius") );
     self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
     self->model->shell_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "shell_sld") );
@@ -316,6 +316,6 @@
     PyObject* disp_dict;
     DispersionVisitor* visitor = new DispersionVisitor();
-    disp_dict = PyDict_GetItemString(self->dispersion, "core_radius");
-    self->model->core_radius.dispersion->accept_as_destination(visitor, self->model->core_radius.dispersion, disp_dict);
+    disp_dict = PyDict_GetItemString(self->dispersion, "radius");
+    self->model->radius.dispersion->accept_as_destination(visitor, self->model->radius.dispersion, disp_dict);
     disp_dict = PyDict_GetItemString(self->dispersion, "thickness");
     self->model->thickness.dispersion->accept_as_destination(visitor, self->model->thickness.dispersion, disp_dict);
@@ -372,7 +372,7 @@
 	    // Reader parameter dictionary
     self->model->core_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "core_sld") );
-    self->model->core_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "core_radius") );
     self->model->thickness = PyFloat_AsDouble( PyDict_GetItemString(self->params, "thickness") );
     self->model->scale = PyFloat_AsDouble( PyDict_GetItemString(self->params, "scale") );
+    self->model->radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "radius") );
     self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
     self->model->shell_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "shell_sld") );
@@ -380,6 +380,6 @@
     PyObject* disp_dict;
     DispersionVisitor* visitor = new DispersionVisitor();
-    disp_dict = PyDict_GetItemString(self->dispersion, "core_radius");
-    self->model->core_radius.dispersion->accept_as_destination(visitor, self->model->core_radius.dispersion, disp_dict);
+    disp_dict = PyDict_GetItemString(self->dispersion, "radius");
+    self->model->radius.dispersion->accept_as_destination(visitor, self->model->radius.dispersion, disp_dict);
     disp_dict = PyDict_GetItemString(self->dispersion, "thickness");
     self->model->thickness.dispersion->accept_as_destination(visitor, self->model->thickness.dispersion, disp_dict);
@@ -439,6 +439,6 @@
 	// Ugliness necessary to go from python to C
 	    // TODO: refactor this
-    if (!strcmp(par_name, "core_radius")) {
-        self->model->core_radius.dispersion = dispersion;
+    if (!strcmp(par_name, "radius")) {
+        self->model->radius.dispersion = dispersion;
     } else    if (!strcmp(par_name, "thickness")) {
         self->model->thickness.dispersion = dispersion;
Index: sansmodels/src/sans/models/c_models/hollowcylinder.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/hollowcylinder.cpp	(revision 9188cc14902588c2800a2821590f8bac1dd436e7)
+++ sansmodels/src/sans/models/c_models/hollowcylinder.cpp	(revision e2afadff3f4263f27adf3503adb9ffba97b1e122)
@@ -36,6 +36,6 @@
 	core_radius = Parameter(20.0, true);
 	core_radius.set_min(0.0);
-	shell_radius  = Parameter(30.0, true);
-	shell_radius.set_min(0.0);
+	radius  = Parameter(30.0, true);
+	radius.set_min(0.0);
 	length     = Parameter(400.0, true);
 	length.set_min(0.0);
@@ -57,5 +57,5 @@
 	dp[0] = scale();
 	dp[1] = core_radius();
-	dp[2] = shell_radius();
+	dp[2] = radius();
 	dp[3] = length();
 	dp[4] = contrast();
@@ -67,6 +67,6 @@
 
 	// Get the dispersion points for the shell radius
-	vector<WeightPoint> weights_shell_radius;
-	shell_radius.get_weights(weights_shell_radius);
+	vector<WeightPoint> weights_radius;
+	radius.get_weights(weights_radius);
 
 	// Get the dispersion points for the length
@@ -87,14 +87,14 @@
 
 			// Loop over shell radius weight points
-			for(int k=0; k< (int)weights_shell_radius.size(); k++) {
-				dp[2] = weights_shell_radius[k].value;
+			for(int k=0; k< (int)weights_radius.size(); k++) {
+				dp[2] = weights_radius[k].value;
 
 				sum += weights_core_radius[i].weight
 					* weights_length[j].weight
-					* weights_shell_radius[k].weight
+					* weights_radius[k].weight
 					* HollowCylinder(dp, q);
 				norm += weights_core_radius[i].weight
 				* weights_length[j].weight
-				* weights_shell_radius[k].weight;
+				* weights_radius[k].weight;
 			}
 		}
@@ -114,5 +114,5 @@
 	dp.scale      = scale();
 	dp.core_radius     = core_radius();
-	dp.shell_radius  = shell_radius();
+	dp.radius  = radius();
 	dp.length     = length();
 	dp.contrast   = contrast();
@@ -126,6 +126,6 @@
 
 	// Get the dispersion points for the shell radius
-	vector<WeightPoint> weights_shell_radius;
-	shell_radius.get_weights(weights_shell_radius);
+	vector<WeightPoint> weights_radius;
+	radius.get_weights(weights_radius);
 
 	// Get the dispersion points for the length
@@ -155,6 +155,6 @@
 
 			// Loop over shell radius weight points
-			for(int m=0; m< (int)weights_shell_radius.size(); m++) {
-				dp.shell_radius = weights_shell_radius[m].value;
+			for(int m=0; m< (int)weights_radius.size(); m++) {
+				dp.radius = weights_radius[m].value;
 
 			// Average over theta distribution
@@ -168,5 +168,5 @@
 					double _ptvalue = weights_core_radius[i].weight
 						* weights_length[j].weight
-						* weights_shell_radius[m].weight
+						* weights_radius[m].weight
 						* weights_theta[k].weight
 						* weights_phi[l].weight
@@ -179,5 +179,5 @@
 					norm += weights_core_radius[i].weight
 						* weights_length[j].weight
-						* weights_shell_radius[m].weight
+						* weights_radius[m].weight
 						* weights_theta[k].weight
 						* weights_phi[l].weight;
Index: sansmodels/src/sans/models/c_models/models.hh
===================================================================
--- sansmodels/src/sans/models/c_models/models.hh	(revision c1c29b67c42e22e8ebe38ed7aacd5a53ec4f66bb)
+++ sansmodels/src/sans/models/c_models/models.hh	(revision e2afadff3f4263f27adf3503adb9ffba97b1e122)
@@ -494,5 +494,5 @@
 	Parameter scale;
 	Parameter core_radius;
-	Parameter shell_radius;
+	Parameter radius;
 	Parameter length;
 	Parameter contrast;
@@ -535,5 +535,5 @@
 	// Model parameters
 	Parameter scale;
-	Parameter core_radius;
+	Parameter radius;
 	Parameter thickness;
 	Parameter core_sld;
Index: sansmodels/src/sans/models/c_models/vesicle.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/vesicle.cpp	(revision 9188cc14902588c2800a2821590f8bac1dd436e7)
+++ sansmodels/src/sans/models/c_models/vesicle.cpp	(revision e2afadff3f4263f27adf3503adb9ffba97b1e122)
@@ -32,6 +32,6 @@
 VesicleModel :: VesicleModel() {
 	scale      = Parameter(1.0);
-	core_radius     = Parameter(100.0, true);
-	core_radius.set_min(0.0);
+	radius     = Parameter(100.0, true);
+	radius.set_min(0.0);
 	thickness  = Parameter(30.0, true);
 	thickness.set_min(0.0);
@@ -53,5 +53,5 @@
 	// Add the background after averaging
 	dp[0] = scale();
-	dp[1] = core_radius();
+	dp[1] = radius();
 	dp[2] = thickness();
 	dp[3] = core_sld();
@@ -61,6 +61,6 @@
 
 	// Get the dispersion points for the core radius
-	vector<WeightPoint> weights_core_radius;
-	core_radius.get_weights(weights_core_radius);
+	vector<WeightPoint> weights_radius;
+	radius.get_weights(weights_radius);
 	// Get the dispersion points for the thickness
 	vector<WeightPoint> weights_thickness;
@@ -72,11 +72,11 @@
 
 	// Loop over radius weight points
-	for(int i=0; i< (int)weights_core_radius.size(); i++) {
-		dp[1] = weights_core_radius[i].value;
-		for(int j=0; j< (int)weights_core_radius.size(); j++) {
+	for(int i=0; i< (int)weights_radius.size(); i++) {
+		dp[1] = weights_radius[i].value;
+		for(int j=0; j< (int)weights_thickness.size(); j++) {
 			dp[2] = weights_thickness[j].value;
-			sum += weights_core_radius[i].weight
+			sum += weights_radius[i].weight
 				* weights_thickness[j].weight * VesicleForm(dp, q);
-			norm += weights_core_radius[i].weight * weights_thickness[j].weight;
+			norm += weights_radius[i].weight * weights_thickness[j].weight;
 		}
 	}
